# Installation

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Core dumping af fsck'er plejer at gøre mig nervøs

Frygt ikke! Selv om brugen af beta-software godt kan forårsage betydelige kvaler, er det ikke sandsynligt at KDE-installationen vil ødelægge din harddisk. Faktisk er dette kapitel skrevet som en guide til at lede dig igennem installationen, så du kan få dit nye skrivebord at se så hurtigt (og med så få kvaler) som muligt. Som det er tilfældet med installation af alle nye vindueshåndteringer, anbefales du at tage en sikkerhedskopi af alle dine X11-specifikke indstillingsfiler inden du påbegynder installationen. Hvis du ikke kender deres præcise placering, så prøv alle de skjulte (`.*`) filer i din hjemmemappe og i mappen `/usr/X11/lib/X11/xdm`.

## Systemkrav

Inden du installerer KDE, så forvis dig om at dit system opfylder følgende krav:

- Et kørende POSIX-kompatibelt &UNIX;-system. Af &UNIX;'er, som er kendt for at fungere sammen med KDE, kan nævnes: Linux, FreeBSD, Solaris, HP-UX og MkLinux. Vi arbejder på snart at gøre KDE tilgængelig på flere platforme.

- Fri harddiskplads på den partition hvor `/opt/kde` vil blive oprettet. Vi anbefaler, at du reserverer omkring 50 MB, hvis dit system understøtter delte biblioteker (eng. shared libraries) og betydelig mere, hvis det ikke gør. Hvis du er nødt til eller ønsker at bygge KDE fra kildetræet, så husk venligst at reservere omkring 100 MB i `/usr/src`.

- Et kørende X11-system med eller uden xdm. Hvis du endnu ikke har installeret X Window-systemet, så tjek først dit &UNIX;-installationsmedie for en installérbar version. Hvis du ikke kan finde en fungerende version, så besøg XFree86-netsiden for flere oplysninger om hvordan man får og installerer X Window-systemet, eller kontakt din &UNIX;-forhandlers support.

- Qt-bibliotekerne, version 3.0.2. Dem kan du få fra Troll Techs FTP-server TGZ-format.

En advarsel inden du begynder: Før opgradering af en tidligere version af KDE, anbefaler vi, at du gør følgende:

    cd /opt/kde
    tar cfvz ~/KDE-gammel-version-sikkerhedskopi.tar.gz *

## Linux: Installation af RPM'er for Red Hat, Caldera og SuSE.

Brug af RPM'er er den letteste metode til at få KDE op at køre på. Det er bare at besøge dit foretrukne KDE-spejl og gå ind i mappen `/pub/kde/stable/distribution/rpm`. Der kan du se mapper for forskellige styresystemer. På nuværende tidspunkt er i386-, alpha- og sparc-arkitekturerne understøttet. RPM-pakkerne kan også findes på Red Hat contrib-sider såsom sunsite.unc.edu eller ftp.redhat.com.

Det grundlæggende system består af filerne `kde-komponent.arkitektur.rpm` Du skal i det mindste have kdesupport, kdelibs og kdebase. Efter at have fået basisdistributionen, kan du nedtage vilkårlige andre RPM'er som du synes du kan bruge.

Derefter starter du installationen med grundpakken. Hvis du installerer KDE for første gang, så brug:

    rpm -i kdesupport.arkitektur.rpm
    rpm -i kdelibs.arkitektur.rpm
    rpm -i kdebase.arkitektur.rpm

Det er vigtigt, at disse komponenter bliver installeret i den her viste rækkefølge og at de bliver installeret før nogen anden KDE-komponent.

Hvis du opgraderer fra en tidligere udgave, så prøv

    rpm -Uvh kde-komponent.arkitektur.rpm

Endnu en gang, den ovenfor angivne rækkefølge bør bevares og de angivne komponenter bør installeres før nogen andre KDE-komponenter.

Dette vil pakke grunddistributionen ud og installere den som standard i `/opt/kde`.

Hvis installationen af grundpakkerne lykkes, så kan du installere de resterende pakker (brug `-Uvh` i stedet for `-i` endnu en gang for at opdatere en eksisterende version) på samme måde.

## Linux: Installation af DEB'er for Debian

Installationen på et Debian-system er også rimelig ligetil. Du vil kun finde KDE 2.0-pakker til Debian 2.2 (Potato) og 3.0 (Woody). Vi beskriver her, hvordan man installerer pakker til Debian 2.2, den stabile version, eftersom Debian 3.0 stadig er under udvikling. Installation er imidlertid næsten identisk for begge versioner. Den primære forskel er at KDE er officielt inkluderet i Debian 3.0 og du behøver ikke at specificere nogen bestemt placering for at finde DEB-pakker til KDE.

Første skridt er at fortælle dit system hvor det skal finde DEB-pakker til KDE. En liste over steder for Debian-pakkerne findes på din harddisk i `/etc/apt/sources.list`. Du bør tilføje følgende linje til denne fil: `http://kde.tdyc.com/ stable kde2`

Så skal du opdatere din lokale pakkedatabase, så dit system ved at der er nye pakker tilgængelige. Skriv følgende kommando:

    apt-get update

Til sidst skal du installere KDE's grundkomponenter. Det gøres ved at skrive:

    apt-get install kdebase

Hvis du vil installere andre komponenter, bør du prøve nogle af (eller alle) disse muligheder:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Du kan også være interesseret i at installere dit sprog.

    apt-get install
    kde-i18n-xx

hvor xx skal erstattes med landekoden (det er 'da' for dansk).

Kontrolfilerne for nogle KDE-programmer vil blive placeret i `/etc/kde2`, de kørbare filer vil komme i `/usr/bin` og de fleste af hjælpefilerne i `/usr/share` under forskellige mapper.

Hvis du opgraderer fra en tidligere version af KDE, bør du udføre følgende trin. Først, opdatér filen `/etc/apt/sources.list` ved at ændre linjen med KDE-pakkernes placering med: `http://kde.tdyc.com/ stable kde2`. Opdatér derefter din pakkedatabase:

    apt-get update

Installér til sidst KDE-grundsystemet:

    apt-get install kdebase
    apt-get dist-upgrade

Hvis du vil installere flere KDE-komponenter, bør du prøve nogle af (eller alle) disse muligheder:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Brug af kildekompilering til at installere oven på andre systemer

Hvis din Linux-distribution ikke kom med et RPM- eller DEB-arkivformat eller hvis du slet ikke bruger Linux, er du nødt til selv at kompilere KDE. Vi planlægger at stille en binær distribution med eget installationsprogram til rådighed i fremtiden.

For at kunne kompilere og installere KDE rigtigt, skal du have følgende ting installeret på din harddisk:

- En ANSI C-compiler, f.eks. GNU C-compileren.

- En ANSI C++-compiler, f.eks. GNU C++.

- Værktøjet make.

- Qt udviklingsversion 2.2 eller højere.

- X11 udviklingsversion (include-filer er ofte ikke med).

Når du har alle de nødvendige hjælpeprogrammer, så gå til dit foretrukne KDE-spejl og skaf følgende filer fra `/pub/kde/stable/nyeste version`:

- `kdesupport-version.tar.gz`

- `kdelibs-version.tar.gz`

- `kdebase-version.tar.gz`

- andre pakker, som du kunne tænke dig at installere. Vi anbefaler at du i hvert fald henter kdeutils.

I alle linjerne foroven, står version for det nuværende versionsnummer. Når du har nedtaget alt det, som du skal bruge, så udpak filerne til `/usr/src`. Denne proces skulle give følgende mappestruktur:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (og evt. andre pakker)

Vær sikker på at du har skrivetilladelser til `/opt/kde`.

Nu skal du kompilere og installere pakker ved brug af følgende:

1. `cd` ind i den mappe som indeholder den pakke du vil installere (se ovenfor)

2. `./configure` (med de tilvalg som du ønsker at anvende)

3. `make`

4. `make install`

Udfør følgende trin for hver pakke, som du vil installere.

Disse instruktioner kan anvendes med næsten enhver tilgængelig kildepakke og ikke kun KDE-pakker.

Hvert configure-script har adskillige tilgængelige tilvalg. Nogle er almindelige for de fleste pakker, mens andre er specifikke for en enkelt pakke. Følgende er en del af resultatet af `configure `--help`` i kdelibs.

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Det er som regel ikke noget krav at bruge alle disse tilvalg og de fleste er kun nyttige til at undgå kendte problemer (f.eks. `--disable-FEATURE`). Eftersom nogle af dem er vigtige tilvalg, f.eks. --with-shadow, bør du altid lige tage et kig på de tilgængelige tilvalg.

Et vigtigt tilvalg er `--prefix`. Dette tilvalg specificerer den sti, hvor configure skal installere (for kdesupport og kdelibs) eller hvor der skal kigges efter biblioteker (for de andre pakker). Som standard vil configure kigge i `/opt/kde`. Hvis du ønsker at installere KDE i `/usr/local/kde`, skal du bruge `configure `--prefix /usr/local/kde``.

Hvis du har installeret Qt-bibliotekerne i et mindre almindeligt sted, f.eks. i `$HOME/src/qt`, så skal du bruge `configure `--with-qt-dir=$HOME/src/qt``. Som standard kigger configure i de mest almindelige steder efter QT, før det giver op.

Hvis du har problemer som du ikke er i stand til at løse, så send en kopi af filen `config.log`-filen til adressen givet i problempakken i `README`-filen.

Du skal installere KDE-komponenterne i følgende rækkefølge: kdesupport, kdelibs, og så programpakkerne (f.eks. kdebase). Alle programpakkerne burde kun afhænge af kdelibs, så du kan kompilere dem på samme tid (hvis du har en kraftig maskine).

Hvis du ønsker at drage nytte af multiprocessorsystemer, så prøv `make `-j Antal processorer`` i stedet for `make`.

### Platformsspecifikke byggenoter

#### Linux

De fleste af de værktøjer, som behøves for at installere KDE på Linux, kan findes enten på ftp://sunsite.unc.edu/pub/Linux/GCC eller på ftp://sunsite.unc.edu/pub/GNU. Qt-bibliotekerne kan findes på ftp://ftp.troll.no/pub/qt/source og er tilgængelige i kildeformat. Der medfølger detaljerede instruktioner for hvordan de installeres. Include-filer for X11-programmer bør være tilgængelige på ftp://ftp.xfree86.org i sektionen xdevel.

## Krævede ændringer til dine indstillingsfiler

Efter KDE-binærfilerne er placeret i deres destinationsmappe, er der der nogle få justeringer, som du må lave i dine opstarts-scripter.

Følgende procedure er testet på SuSE Linux 5.0 og burde også være kompatibel med de andre populære &UNIX;'er. Tag altid en sikkerhedskopi af dine indstillingsfiler før du ændrer dem! Tilføj følgende til slutningen af din /etc/profile:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Derefter skal du redigere .xinitrc-filen i din hjemmemappe. Se efter linjen som kalder din vindueshåndtering og erstat den med `startkde`.

Nu da alt, som behøves for at køre KDE, er installeret, kan du gå videre til kapitel 4 hvor du vil starte KDE for første gang. Hvis noget går galt, får du måske brug for at kompilere KDE på egen hånd. Læs Brug af TGZ-kildekompilering til at installere oven på andre systemer for flere informationer.

Vi har lavet installationen så skudsikker som muligt, så du burde ikke støde ind i alvorlige problemer medmindre din systemopsætning er eksotisk. Hvis du alligevel oplever problemer, så er du velkommen til at bruge KDE-postlisterne.